package com.yizhi.course.application.vo;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Api(
        tags = {"CourseVo"},
        description = "课程接对象"
)
@Data
public class ApiSeachCourseVo {

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;

    @ApiModelProperty(value = "当前用户学员")
    private Long accountId;

    @ApiModelProperty(value = "1 为默认更新时间排序，2 按评分排序")
    private Integer type;

    private Long companyId;

    private String[] orgIds;

    private Long siteId;

    private Integer pageNo;

    private Integer pageSize;

    private List<Long> ids;




}
