package com.yizhi.course.application.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class AuthorizedCourseVO {
    // 授权id
    @ApiModelProperty(value="授权id")
    private Long id;

    // 课程code
    @ApiModelProperty (value="课程code")
    private String courseCode;

    // 课程名称
    @ApiModelProperty (value="课程名称")
    private String courseName;

    // 授权时间
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty (value="授权时间")
    private Date authorizeTime;

    // 到期时间
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty (value="到期时间")
    private Date expireDate;

    // 有效天数
    @ApiModelProperty (value="有效天数")
    private Integer validDays;
    // 是否产期有效
    @ApiModelProperty (value="是否长期有效,0 长期有效 1 指定有效期")
    private Integer useType;

    @ApiModelProperty(value = "授权课程父级授权的有效时间")
    private Date parentUseDuration;

}
