package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 批量修改课程vo
 */
@Data
public class BathEditCourseVo {

    @ApiModelProperty("批量修改的课程对象")
    private List<Long> editObject;

    @ApiModelProperty("编辑的字段，修改的字段。只对修改的字段赋值")
    private CourseVo editFields;

    @ApiModelProperty("用户可见范围")
    private List<CourseAccountVO> courseAccounts;

    // 更新操作人
    private Long updateByaccountId;

    @ApiModelProperty(value = "课程类型 : 0 一般课程  1 Scorm课程")
    private Integer courseType;
}
