package com.yizhi.course.application.vo;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Api(tags = {"CourseShelvesVo"}, description = "课程上下架VO")
@Data
public class CourseShelvesVo {

    @ApiModelProperty(value = "课程id")
    private List<Long> courseIds;

    @ApiModelProperty(value = "被其他模块绑定的课程id")
    private List<Long> bindCourseIds;

    @ApiModelProperty(value = "上下架状态")
    private Integer shelves;
}
