package com.yizhi.course.application.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;



/**
 * 学员端做列表
 * @author wangfeida
 *
 */
@Data
public class CourseStudentListVo {
	
	@ApiModelProperty(value = "主键id")
	private Long id;
	
	@ApiModelProperty(value = "标题")
	private String title;
	
	@ApiModelProperty(value = "内容")
	private String content;
	
	@ApiModelProperty(value = "logo地址")
	private String img;
	
	@ApiModelProperty(value = "提交时间")
	private Date commitTime;
	
	@ApiModelProperty(value = "状态  1未提交 2审核中 3已通过 4未通过 5删除")
	private Integer state;
	
	@ApiModelProperty(value = "视频地址")
	private String url;
	
	@ApiModelProperty(value="类型 1音频 2 视频 3 文件 4 富媒体")
	private Integer type;
	
	
	@ApiModelProperty(value="最后一次不通过原因")
	private String lastNoPassReason;
	
	

}
