package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 文档课程
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "DocPagesVO", description = "文档课程")
public class DocPagesVO  {

    private static final long serialVersionUID = 1L;


	private Long id;

	@ApiModelProperty(value = "页面")
	private Integer docPage;

	@ApiModelProperty(value = "素材id")
	private Long materialId;

	@ApiModelProperty(value = "文本")
	private String imageUrl;

	@ApiModelProperty(value = "文件logo")
	private String logo;


}
