package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 营销课程名片配置
 * </p>
 *
 * @author ding
 * @since 2019-11-07
 */
@Data
@ApiModel(value = "JaxinRankingVO", description = "嘉兴闯关排行")
public class JaxinRankingVO {

    @ApiModelProperty(value = "用户id")
	private Long accountId;

    @ApiModelProperty(value = "用户名")
    private String accountName;

    @ApiModelProperty(value = "用户姓名")
    private String accountFullName;

    @ApiModelProperty(value = "总学习时长")
    private String courseDuration;


}
