package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: XieHaijun
 * @Description: 讲师课程有效检查请求参数
 * @Date: Created in 10:18 2019/5/8
 * @Modified By
 */
@Api(tags = {"LecturerCourseValidReqVO"}, description = "讲师课程有效检查请求参数")
@Data
public class LecturerCourseValidReqVO {

    @ApiModelProperty(value = "课程id列表")
    private List<Long> courseIds;

    @ApiModelProperty(value = "课程类型 1是线上课程；2是线下课程")
    private Integer courseType;
}
