package com.yizhi.course.application.vo;
import java.util.Date;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Api(
        tags = {"MaterialManageVo"},
        description = "后台素材库显示列表（出参）"
)
@Data
public class MaterialManageVo {

    @ApiModelProperty("主键di")
    private String id;
    @ApiModelProperty("素材名字")
    private String name;
    @ApiModelProperty("素材内容")
    private String content;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("素材状态 0已撤回 1未提交 2审核中 3已通过 4未通过 5删除")
    private Integer state;
    @ApiModelProperty("提交人")
    private Long accountId;
    @ApiModelProperty("提交人姓名")
    private String accountName;
    @ApiModelProperty("审批人")
    private Long auditorId;
    @ApiModelProperty("审批人姓名")
    private String auditorName;
    
}
