/**
 * FileName: RecordeListVo
 * Author:   wenjunlong
 * Date:     2018/5/7 20:05
 * Description: 课程学习记录详情列表
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.yizhi.course.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 〈一句话功能简述〉<br> 
 * 〈课程学习记录详情列表〉
 *
 * @author wenjunlong
 * @create 2018/5/7
 * @since 1.0.0
 */
@Data
public class RecordeListVo {


    @ApiModelProperty(value = "课程")
    private Long courseId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "章节id")
    private Long chapterId;

    @ApiModelProperty(value = "章节名称")
    private String chapterName;

    @ApiModelProperty(value = "学习时长")
    private Integer duration;

    @ApiModelProperty(value = "终端类型")
    private String terminalType;

    @ApiModelProperty(value = "终端规格")
    private String terminalDevice;

    @ApiModelProperty(value = "账户id")
    private Long accountId;

    @ApiModelProperty(value = "完成状态0 未完成 1 已完成")
    private Integer overed;

    private Long siteId;
}
