package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学习记录
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "RecordeVO", description = "学习记录")
public class RecordeVO {

    private Long id;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "课程")
    private Long courseId;

    @ApiModelProperty(value = "章节id")
    private Long chapterId;

    @ApiModelProperty(value = "学习开始时间")
    private Date startTime;

    @ApiModelProperty(value = "学习结束时间")
    private Date endTime;

    @ApiModelProperty(value = "学习时长")
    private Integer duration;

    @ApiModelProperty(value = "完成状态0 未完成 1 已完成")
    private Integer overed;

    private Long orgId;

    private Long companyId;

    private Long siteId;

}
