package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢海军123
 * @since 2018-04-09
 */
@Data
@Api(tags = "BrowseRecords", description = "")
@TableName("browse_records")
public class BrowseRecords extends Model<BrowseRecords> {

    private static final long serialVersionUID = 1L;


@ApiModelProperty(value = "主键id")
	private Long id;

@ApiModelProperty(value = "分享ID")
	@TableField("share_id")
	private Long shareId;

@ApiModelProperty(value = "浏览用户ID")
	@TableField("account_id")
	private String accountId;

@ApiModelProperty(value = "浏览用户名称")
	@TableField("account_name")
	private String accountName;

@ApiModelProperty(value = "浏览开始时间")
	@TableField("read_start_time")
	private Date readStartTime;

@ApiModelProperty(value = "浏览结束时间")
	@TableField("read_end_time")
	private Date readEndTime;

@ApiModelProperty(value = "停留时间")
	@TableField("residence_time")
	private Long residenceTime;

	@ApiModelProperty(value = "浏览平台")
	@TableField("browsing_platform")
	private String browsingPlatform;

	@ApiModelProperty(value = "微信头像")
	@TableField("avatar")
	private String avatar;

	@ApiModelProperty(value = "手机号")
	@TableField(exist = false)
	private String tel;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
