package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 课程简介
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "CourseDescription", description = "课程简介")
@TableName("course_description")
public class CourseDescription extends Model<CourseDescription> {

    private static final long serialVersionUID = 1L;


    private Long id;

    @ApiModelProperty(value = "课程id")
    @TableField("course_id")
    private Long courseId;

    @ApiModelProperty(value = "课程简介")
    private String description;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
