package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 课程星级
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "CourseGrade", description = "课程星级")
@TableName("course_grade")
public class CourseGrade extends Model<CourseGrade> {

    private static final long serialVersionUID = 1L;


	private Long id;

@ApiModelProperty(value = "星级")
	private Integer level;

@ApiModelProperty(value = "账号")
	@TableField("account_id")
	private Long accountId;

@ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
