package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author xiehaijun123
 * @since 2020-05-22
 */
@Data
@ApiModel(value = "WechatInfo", description = "")
@TableName("wechat_info")
public class WechatInfo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "微信的openId")
    @TableId("open_id")
	private String openId;

    @ApiModelProperty(value = "微信昵称")
	@TableField("nike_name")
	private String nikeName;

    @ApiModelProperty(value = "微信头像")
	private String avatar;

    @ApiModelProperty(value = "手机号")
    private String tel;

    @ApiModelProperty(value = "验证码")
    private String captcha;

    @ApiModelProperty(value = "验证码发送时间")
    @TableField("captcha_send_time")
    private Date captchaSendTime;

    @ApiModelProperty(value = "验证码的验证状态")
    @TableField("captcha_validate_status")
    private Boolean captchaValidateStatus;
}
