package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.AudioVideo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 音视频 Mapper 接口
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface AudioVideoMapper extends BaseMapper<AudioVideo> {

    void deleteByMaterialId(@Param(value = "materialId") Long materialId);

    AudioVideo getByMaterialId(@Param(value = "materialId") Long materialId);
}
