package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.LastViewRecord;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * 最后观看记录 Mapper 接口
 * </p>
 *
 * @author 谢海军123
 * @since 2019-06-18
 */
public interface LastViewRecordMapper extends BaseMapper<LastViewRecord> {

    @Update("update last_view_record set view_ponit = #{progress} where account_id = #{accountId} and chapter_id = #{chapterId}")
    Integer updateByProgress(@Param("accountId") Long accountId, @Param("chapterId") Long chapterId, @Param("progress") Long progress);
}
