package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.Course;
import com.yizhi.course.application.domain.MarketingCourseViewLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 营销课程查看记录 Mapper 接口
 * </p>
 *
 * @author 谢海军123
 * @since 2019-01-09
 */
public interface MaterialCourseViewLogMapper extends BaseMapper<MarketingCourseViewLog> {

    List<Course> findCourseViewCountByIds(@Param("courseIds") List<Long> courseIds);
}
