package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.AudioVideo;

import java.util.Map;

/**
 * <p>
 * 音视频 服务类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface IAudioVideoService extends IService<AudioVideo> {
	
	AudioVideo getAudioVideoByMaterialId(Long materialId);
	
	Boolean insertAudioVideo(AudioVideo audioVideo);
	
	Boolean deleteAudioVideo(Long materialId);


	Boolean updateAudioVideo(Map<String,Object> map);

}
