package com.yizhi.course.application.controller;

import org.apache.poi.openxml4j.exceptions.InvalidFormatException;
import org.apache.poi.ss.usermodel.*;
import org.junit.Test;

import java.io.File;
import java.io.IOException;
import java.util.Date;

/**
 * @Author: shengchenglong
 * @Date: 2018/11/13 16:49
 */
public class SingleTest {

    @Test
    public void test() throws IOException, InvalidFormatException {

        Workbook wb = WorkbookFactory.create(new File("/Users/shengchenglong/Documents/IdeaProjects/wmy_workspace/Course/cloud-course/src/test/java/com/fulan/application/controller/线下课程导入模板.xlsx"));
        Sheet sheet = wb.getSheetAt(0);
        Row row;
        Cell cell;
        int lastRowNum = sheet.getLastRowNum();

        String status = null;
        double score = 0.0;
        double integral = 0;
        Date startTime = null;
        Date endTime = null;
        String accountName = null;

        for (int i = 0; i < lastRowNum; i++) {
            row = sheet.getRow(i + 2);
            if (null != row) {
                cell = row.getCell(0);
                if (null != cell) {
                    accountName = cell.getStringCellValue();
                }
                cell = row.getCell(1);
                if (null != cell) {
                    status = cell.getStringCellValue();
                }
                cell = row.getCell(2);
                if (null != cell) {
                    try {
                        score = cell.getNumericCellValue();
                    } catch (Exception e) {
                        score = Double.valueOf(cell.getStringCellValue());
                    }
                }
                cell = row.getCell(3);
                if (null != cell) {
                    try {
                        integral = cell.getNumericCellValue();
                    } catch (Exception e) {
                        integral = Double.valueOf(cell.getStringCellValue());
                    }
                }
                cell = row.getCell(4);
                if (null != cell) {
                    startTime = cell.getDateCellValue();
                }
                cell = row.getCell(5);
                if (null != cell) {
                    endTime = cell.getDateCellValue();
                }

                System.out.println(accountName);
                System.out.println(status);
                System.out.println(score);
                System.out.println(integral);
                System.out.println(startTime);
                System.out.println(endTime);
            }
        }

    }
}
