package com.yizhi.course.application.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "course", contextId = "HeartbeatHandleClient")
public interface HeartbeatHandleClient {

    /**
     * 学习日志计算处理
     * @return
     */
    @GetMapping("/heartbeat/handle/calculate")
    Boolean calculate(@RequestParam("sessionId") String sessionId);
}
