package com.yizhi.course.application.feign;

import com.yizhi.course.application.vo.RemoteDaIndicatorVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @ClassName DaIndicatorAccountController
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-10-09 16:52
 * @Version 1.0
 */
@FeignClient(name = "course", contextId = "RemoteDaIndicatorCourseClient")
public interface RemoteDaIndicatorCourseClient {

    /**
     * dashboard - 完成课程数
     *
     * @return
     */
    @PostMapping("/remote/da/course/courseFinish")
    boolean courseFinish(@RequestBody RemoteDaIndicatorVo vo);

    /**
     * dashboard - 课程学习时长
     *
     * @return
     */
    @PostMapping("/remote/da/course/courseTime")
    boolean courseTime(@RequestBody RemoteDaIndicatorVo vo);

}
