package com.yizhi.course.application.vo;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "AccountRecordeVO",description = "个人学时信息传输")
public class AccountDurationVO {
	

	@ApiModelProperty(value = "姓名")
	private String name;
	
	@ApiModelProperty(value = "头像")
	private String headPortrait;
	
	@ApiModelProperty(value = "所在营业部门")
	private String orgName;
	
	@ApiModelProperty(value = "学时")
	private Float totalDuration;
	
	@ApiModelProperty(value = "排名数")
	private String rankingNum;
	
	
	@ApiModelProperty(value = "部门排行榜")
	private List<OrganizationDurationVO> list;
}
