package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢海军123
 * @since 2018-04-09
 */
@ApiModel(
		value = "BrowseRecordsVo",
		description = "课程分享浏览记录对象"
)
@Data
public class BrowseRecordsVo {

@ApiModelProperty(value = "主键id")
	private Long id;

@ApiModelProperty(value = "分享ID")
	private Long shareId;

@ApiModelProperty(value = "浏览用户ID")
	private String accountId;

@ApiModelProperty(value = "浏览用户名称")
	private String accountName;

@ApiModelProperty(value = "浏览开始时间")
	private Date readStartTime;

@ApiModelProperty(value = "浏览结束时间")
	private Date readEndTime;

@ApiModelProperty(value = "停留时间")
	private Long residenceTime;

@ApiModelProperty(value = "浏览平台")
	private String browsingPlatform;

	@ApiModelProperty(value = "微信头像")
	private String avatar;
	private String tel;

}
