package com.yizhi.course.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * Created with IntelliJ. IDEA
 * User:zhuwenwen
 * Date: 2018/3/19
 * Time: 17:31
 **/
@Data
public class ClassifyVo {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "层级")
    private Integer layer;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "分类编码")
    private String code;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private String createTime;


    private Integer total;

    @ApiModelProperty(value = "状态")
    private Integer sort;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "是否存在子节点")
    private Boolean existChildNode = false;
}

