package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "评论分页参数说明")
public class CourseCommentVo {
    @ApiModelProperty(value = "课程Id 必传",required = true)
    Long courseId;

    @ApiModelProperty(value = "评论分页参数")
    Integer pageNo = 1;

    @ApiModelProperty(value = "评论分页参数")
    Integer pageSize = 10;

    @ApiModelProperty(value = "回复列表分页参数")
    Integer replyPageNo = 1;

    @ApiModelProperty(value = "回复列表分页参数")
    Integer replyPageSize = 5;
}
