package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.HashSet;
import java.util.Set;

@Data
@ApiModel(value = "CourseDashboardVO", description = "课程dashboardVO")
public class CourseDashboardVO {


    @ApiModelProperty(value = "课程时长(s)")
    private Long courseTime = 0L;

    @ApiModelProperty(value = "累计学习时间(s)")
    private Long courseStudyTime = 0L;

    @ApiModelProperty(value = "完成课程id集合")
    private Set<Long> courseIds = new HashSet<>();

    @ApiModelProperty(value = "完成课程数")
    private Integer courseFinishNum = 0;
}
