package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 20:04 2018/5/8
 * @Modified By
 */
@ApiModel(
        value = "CourseForwardUserVo",
        description = "营销课程转发用户统计"
)
@Data
public class CourseForwardUserVo {

    @ApiModelProperty(value = "用户名")
    private String loginName;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "手机号")
    private String tel;

    @ApiModelProperty(value = "分享次数/转发次数")
    private long forwardCount;

    @ApiModelProperty(value = "转发用户数")
    private long forwardUserCount;

    @ApiModelProperty(value = "时间")
    private String dateStr;

    @ApiModelProperty(value = "阅读人数")
    private String readUserNam;

    @ApiModelProperty(value = "阅读次数")
    private String readNam;

    @ApiModelProperty(value = "（营销）渠道名称")
    private String marketingChannel;

}
