package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 课程学习状态
 * </p>
 *
 * @author 谢海军123
 * @since 2019-04-01
 */
@Data
@ApiModel(value = "CourseStudentStatusVO", description = "课程学习状态")
public class CourseStudentStatusVO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "唯一主键")
	private Long id;

    @ApiModelProperty(value = "企业id")
	private Long companyId;

    @ApiModelProperty(value = "站点id")
	private Long siteId;

    @ApiModelProperty(value = "组织id")
	private Long orgId;

    @ApiModelProperty(value = "学习人的账号id")
	private Long accountId;

    @ApiModelProperty(value = "课程id")
	private Long courseId;

    @ApiModelProperty(value = "课程学习状态 0:表示未完成，1表示已完成")
	private Integer studentStatus;

    @ApiModelProperty(value = "最后学习时间")
	private Date lastStudentTime;

    @ApiModelProperty(value = "完成比例")
	private Integer percent;

	@ApiModelProperty(value = "第一次完成时间")
	private Date firstFinishTime;

}
