package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 13:41 2019/4/11
 * @Modified By
 */
@Data
@Api(
        tags = {"CourseTotalDurationReqVO"},
        description = "课程学时相关信息请求参数信息"
)
public class CourseTotalDurationReqVO {

    @ApiModelProperty(value = "（必须）要统计的课程id（单个课程汇总只传一个id）")
    private List<Long> courseIds;

    @ApiModelProperty(value = "（必须）查询指定站点下的显示开关配置）")
    private Long siteId;

}
