package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 课程分类组基本信息表
 * </p>
 *
 * @author xiehaijun
 * @since 2019-12-13
 */
@Data
@ApiModel(value="GroupClassifyItemVO", description="分类组中每一级的分类项信息")
public class GroupClassifyItemVO {

    @ApiModelProperty(value = "分类id")
    private Long classify_id;

    @ApiModelProperty(value = "分类名称")
    private String classify_name;

    @ApiModelProperty(value = "层级")
    private Integer layer;

    @ApiModelProperty(value = "父id ")
    private Long classifyParentId;

    @ApiModelProperty(value = "是否是选中状态")
    private Boolean isSelectd;

}
