/**
 * FileName: homePageCoursePageVo
 * Author:   wenjunlong
 * Date:     2018/4/12 16:15
 * Description: 首页课程展示Vo
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 〈一句话功能简述〉<br> 
 * 〈首页课程数据查询接收Vo〉
 *
 * @author wenjunlong
 * @create 2018/4/12
 * @since 1.0.0
 */
@Data
public class HomePageCoursePageVoV2 {

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "课程评分(星级)")
    private String level;

    @ApiModelProperty(value = "课程封面图")
    private String image;

    @ApiModelProperty(value = "作者单位")
    private String authorUnit;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;

    @ApiModelProperty(value = "分类名称")
    private String classifyName;

    @ApiModelProperty(value = "学习人数")
    private Integer studyNum;

    @ApiModelProperty(value = "课程时间")
    private Date startTime;

    @ApiModelProperty(value = "浏览人次")
    private Integer viewCount;

    @ApiModelProperty(value = "课程是否有效1.有效，0.无效")
    private Integer valid;

    @ApiModelProperty(value = "课程编码")
    private String code;

    @ApiModelProperty(value = "课程素材总时长")
    private Integer duration;

    @ApiModelProperty(value = "课程学时")
    private float totalDuration;

    @ApiModelProperty("课程学时显示 true 显示，false不显示")
    private Boolean courseDurationShow;

    @ApiModelProperty(value = "课程学习状态 0:表示未完成，1表示已完成 ,-1 未开始")
    private Integer studentStatus;
}
