package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Author: XieHaijun
 * @Description: 营销课程对象vo
 * @Date: Created in 10:55 2018/4/8
 * @Modified By
 */
@ApiModel(
        value = "MarketingCourseViewVo",
        description = "营销课程访问数据对象"
)
@Data
public class MarketingCourseViewVo {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "分享ID")
    private Long shareId;

    @ApiModelProperty(value = "浏览用户ID")
    private String accountId;

    @ApiModelProperty(value = "浏览用户名称")
    private String accountName;

    @ApiModelProperty(value = "浏览开始时间")
    private Date readStartTime;

    @ApiModelProperty(value = "浏览结束时间")
    private Date readEndTime;

    @ApiModelProperty(value = "停留时间")
    private Long residenceTime;

    @ApiModelProperty(value = "浏览平台")
    private String browsingPlatform;

    @ApiModelProperty(value = "手机号")
    private String tel;

    @ApiModelProperty(value = "浏览次数")
    private Integer veiwCount;

    @ApiModelProperty(value = "微信头像")
    private String avatar;

}
