package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: MaterialExportVO
 * @author: zjl
 * @date: 2021/1/29  13:33
 */
@Data
@ApiModel("导出素材清单vo")
public class MaterialExportVO {

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "课程code")
    private String courseCode;

    @ApiModelProperty(value = "课程类型")
    private Integer courseType;

    @ApiModelProperty(value = "课程状态（0 未上架 1 已上架 2 草稿）")
    private Integer shelves;

    @ApiModelProperty(value = "章节名称")
    private String chapterName;

    @ApiModelProperty(value = "素材/测验类型")
    private Integer materialType;

    @ApiModelProperty(value = "素材/测验编码")
    private String materialCode;

    @ApiModelProperty(value = "素材/测验名称")
    private String materialName;

    @ApiModelProperty(value = "素材时长")
    private String materialDuration;

    @ApiModelProperty(value = "素材/测验积分")
    private Integer score;
}
