package com.yizhi.course.application.vo;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Api(
        tags = {"MaterialVo"},
        description = "素材库Vo列表对象"
)
@Data
public class MaterialListVo {

    @ApiModelProperty("素材主键id，执行修改方法时才传入")
    private Long id;
    @ApiModelProperty("素材编码")
    private String code;
    @ApiModelProperty("素材名称")
    private String name;
    @ApiModelProperty("1音频 2 视频 3 文本 4 富媒体 5 Scrom")
    private Integer type;
    @ApiModelProperty("1 外部采购 2 外部定制 3 内部定制 4 做课")
    private Integer source;
    @ApiModelProperty("创建时间，列表的时候用")
    private String createTime;
}
