package com.yizhi.course.application.vo;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value="ModuleAllVO", description="门户显示各个模块信息-课程")
@Data
public class ModuleAllVoCourse {
	
	
	@ApiModelProperty(value="id")
	private Long id;
	
	@ApiModelProperty(value="模块名字")
	private String moduleName;
	
	@ApiModelProperty(value="模块logo")
	private String moduleLogo;
	

	@ApiModelProperty(value="课程评分")
	private BigDecimal grade;
	
	
	@ApiModelProperty(value="课程学习人数")
	private Integer courseNum;

    @ApiModelProperty(value="学时")
    private float totalDuration;




}
