package com.yizhi.course.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class OfflineCourseStudentVo {

    /**
     *  OfflineCourse 中的字段
     */
    @ApiModelProperty(value = "课程封面图")
    private String image;

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "作者单位")
    private String authorUnit;

    @ApiModelProperty(value = "课程介绍")
    private String description;

    /**
     *  OfflineRecorde 中的字段
     */
    @ApiModelProperty(value = "学习开始时间")
    private Date startTime;

    @ApiModelProperty(value = "学习结束时间")
    private Date endTime;

    @ApiModelProperty(value = "状态:显示")
    private String status;

    @ApiModelProperty(value = "分数")
    private Float score;
}
