package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: dingxiaowei
 * @Description: 复旦mini mba项目获取用户信息类
 * @Date: 2019-10-23
 * @Modified By
 */
@Api(
        tags = {"ProjectsUserDetailsVO"},
        description = "复旦mini mba项目获取用户信息类"
)
@Data
public class ProjectsUserDetailsVO {

    @ApiModelProperty(value = "用户id")
    private Long accountId;

    @ApiModelProperty(value = "用户姓名")
    private String accountFullName;

    @ApiModelProperty("用户头像")
    private String headPortrait;

    @ApiModelProperty("累计学习时长按小时计,不到一个小时上进")
    private Integer studyTotalDuration;

    @ApiModelProperty("累计打卡次数")
    private Integer pushInNum;

    @ApiModelProperty("被赞次数")
    private Integer praisedNum;

    @ApiModelProperty("计划完成百分比整数")
    private Integer percentage;

}
