package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 课程图表数据
 * @author mei
 *
 */

@Data
public class ReportStudyCourseChartsVo {
	
	@ApiModelProperty(value = "显示内容")
	private String value;
	
	@ApiModelProperty(value = "学习人数（空返回0）")
	private Integer totalAccount = 0;
	
	@ApiModelProperty(value = "学习次数（空返回0）")
	private Integer totalCount = 0;
	
	@ApiModelProperty(value = "学习课程数（空返回0）")
	private Integer totalCourse = 0;
}