package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * scorm 课程包解析保存
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "ScormVO", description = "scorm 课程包解析保存")
public class ScormVO {

    private static final long serialVersionUID = 1L;


	private String name;

	private String organizationTitle;

	private String organizationIdentifier;

	private String organizationStructure;

	private String organizationItemTitle;

	private String organizationItemIdentifier;

	private String organizationItemIdentifierref;

	private String resourceIdentifier;

	private String resourceHref;

	private String resourceFiles;

	private Integer enabled;

	private Long createById;

	private String createByName;

	private Date createTime;

	private Long updateById;

	private String updateByName;

	private Date updateTime;

	@ApiModelProperty(value = "素材id")
	private Long materialId;

	private Long id;


}
