package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Ding
 * @className StudyHourReportVO
 * @description 学时统计VO
 * @date 2019/5/23
 **/
@ApiModel(value = "StudyHourReportVO", description = "学时统计VO")
@Data
public class StudyHourReportVO {
    @ApiModelProperty(name = "序号")
    Integer index;

    @ApiModelProperty(name = "用户id")
    Long accountId;

    @ApiModelProperty(name = "用户名")
    String userName;

    @ApiModelProperty(name = "用户姓名")
    String FullName;

    @ApiModelProperty(name = "用户部门id")
    Long orgId;

    @ApiModelProperty(name = "用户部门名称")
    String orgName;

    @ApiModelProperty(name = "用户组织架构")
    String orgNames;

    @ApiModelProperty(name = "用户状态")
    String accountState;

    @ApiModelProperty(name = "用户总学时")
    Float studyHour;

    @ApiModelProperty(name = "学时获得时间")
    Date createTime;

    @ApiModelProperty(name = "课程编码")
    String courseNo;

    @ApiModelProperty(name = "课程名称")
    String courseName;
}
