package com.yizhi.course.application.controller;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.course.application.domain.Classify;
import com.yizhi.course.application.service.IClassifyService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Created with IntelliJ. IDEA
 * User:zhuwenwen
 * Date: 2018/3/22
 * Time: 14:10
 **/

@RestController
@RequestMapping("/api/classify")
public class ClassifyStuController {

    @Autowired
    private IClassifyService iClassifyService;

    @ApiOperation("分类查询")
    @RequestMapping(value = "/list",method = RequestMethod.GET)
    public List<Classify> listClassify(
            @RequestParam(value = "companyId") Long companyId,
            @RequestParam(value = "siteId") Long siteId
    ){
        return  iClassifyService.listStuClassify(companyId,siteId);
    }
}

