package com.yizhi.course.application.controller;

import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.course.application.domain.Reply;
import com.yizhi.course.application.service.IReplyService;
import org.apache.commons.lang3.StringEscapeUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 回复评论 前端控制器
 * @author Fairyland
 *
 */
@RestController		
@RequestMapping("/reply")
public class ReplyController {
	
	@Autowired
	private IReplyService ireplyService;

	@Autowired
	IdGenerator idGenerator;

	/**
	 * 新增回复评论接口（保存）
	 * @param
	 * @return
	 */
	@PostMapping("/save")
	public Boolean saveReply(@RequestBody Reply reply){
		reply.setId(idGenerator.generate());
//		reply.setContent(StringEscapeUtils.escapeJava(reply.getContent()));
		return ireplyService.insert(reply);
	}
	
	
}
