package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author wangfeida123
 * @since 2018-04-04
 */
@Data
@Api(tags = "LessonReply", description = "")
@TableName("lesson_reply")
public class LessonReply extends Model<LessonReply> {

    private static final long serialVersionUID = 1L;


@ApiModelProperty(value = "涓婚敭id")
	private Long id;

@ApiModelProperty(value = "鍋氳id")
	@TableField("lesson_id")
	private Long lessonId;

@ApiModelProperty(value = "批阅人id")
    @TableField("auditor_id")
    private Long auditorId;

@ApiModelProperty(value = "琚墦鍥炲師鍥�")
	private String reason;

	@TableField("create_by_time")
	private Date createByTime;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
