package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 测验试题答案选项
 * </p>
 *
 * @author 谢海军123
 * @since 2018-10-11
 */
@Data
@ApiModel(value = "TestSubjectOption", description = "测验试题答案选项")
@TableName("test_subject_option")
public class TestSubjectOption {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "测验试题答案选项id")
	private Long id;

    @ApiModelProperty(value = "选项内容文字")
	@TableField("answer_option")
	private String answerOption;

    @ApiModelProperty(value = "是否是答案： false [0表示不是答案]；true [1表示未正确答案]")
	@TableField("answer_result")
	private Boolean answerResult;

    @ApiModelProperty(value = "测验试题id")
	@TableField("test_subject_id")
	private Long testSubjectId;

    @ApiModelProperty(value = "序号")
	private Integer sort;



}
