package com.yizhi.course.application.enums;

/**   
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 10:43 2018/10/15
 * @Modified By 
 */ 
public enum ExceptionInfo {
    TESE_CASE_INFO_EXITS("T016","测验做题信息不能为空"),
    TESE_CASE_FILED_TEST_ID("T015","测验id不能为空"),
    TESE_CASE_FILED_CHAPTER_ID("T014","章节id不能为空"),
    TESE_CASE_FILED_COUER_ID("T013","课程id不能为空"),
    MOVE_FOOT("T012","已到最底部，不能再下移了"),
    MOVE_TOP("T011","已到最顶，不能再上移了"),
    MOVE_TYPE_EROOR("T010","移动类型错误，请使用正确的移动类型"),
    TEST_UPDATE_FAIL("T009","该测验被使用中，测验信息修改失败"),
    NOT_EXIST_TEST_ANSWER("T008","没有测验试题的答案"),
    NOT_DELETE_TEST_DATA("T007","没有要删除的测验信息"),
    TEST_DELETE_FAIL("T006","测验信息存在使用的中的数据，删除操作失败"),
    PASSING_SCORE_EXCESS("T005","总结性测试，设置合格分数不能大于试题的总分"),
    TEST_SUBJECT_EMPTY("T004","总结性测试必须要添加试题并进行分数设置"),
    PASSING_SCORE_EMPTY("T003","总结性测试，必须要设置合格分数"),
    NOT_EXIST_TEST("T002","测验不存在"),
    EXIST_TEST_NAME("T001","已经存在该测验名称");


    private String code;
    private String name;

    ExceptionInfo(String code,String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
