package com.yizhi.course.application.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName: MaterialTypeEnum
 * @author: zjl
 * @date: 2021/1/29  17:20
 */
public class MaterialTypeEnum {

    //1音频 2 视频 3 文本 4 富媒体 5 Scrom 6 考试 7 过程性测验 8 总结性测验
    public static Integer voice = 1;
    public static Integer video = 2;
    public static Integer text = 3;
    public static Integer richMedia = 4;
    public static Integer scrom = 5;
    public static Integer exam = 6;
    public static Integer processTest = 7;
    public static Integer summativeTest = 8;

    public final static Map<Integer, String> relation = new HashMap<Integer, String>() {
        {
            put(voice, "音频");
            put(video, "视频");
            put(text, "文本");
            put(richMedia, "富媒体");
            put(scrom, "Scrom");
            put(exam, "考试");
            put(processTest, "过程性测验");
            put(summativeTest, "总结性测验");
        }
    };
}
