package com.yizhi.course.application.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 16:35 2018/8/17
 * @Modified By
 */
public class ReportMkCourseSqlBuilder {

    //于method对应
    public String courseReadGroupSql(@Param("cid") Long cid,
                                     @Param("siteId") Long siteId,
                                     @Param("orgs") List<Long> orgs,
                                     @Param("startDate") String startDate,
                                     @Param("endDate") String endDate,
                                     @Param("kwd") String kwd){
        String sql = "SELECT c.id AS id,c.`code` AS code, c.`name` AS name, count(0) as totalSend " +
                "FROM browse_records br LEFT JOIN course_share cs ON br.share_id=cs.id LEFT JOIN course c ON cs.course_id=c.id " ;

        sql+="WHERE cs.share_time BETWEEN str_to_date("+startDate+", '%Y-%m-%d %H')";

        return sql;
    }
}
