package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.ClassifyGroup;
import com.yizhi.course.application.domain.ClassifyGroupInfo;
import com.yizhi.course.application.vo.ClassifyGroupInfoVO;

import java.util.List;

/**
 * <p>
 * 课程分类组基本信息表 服务类
 * </p>
 *
 * @author xiehaijun
 * @since 2019-12-13
 */
public interface IClassifyGroupInfoService extends IService<ClassifyGroupInfo> {

    List<ClassifyGroup> save(ClassifyGroupInfoVO classifyGroupInfoVO);

    List<ClassifyGroup> saveAll(ClassifyGroupInfoVO classifyGroupInfoVO);

}
