package com.yizhi.course.application.service;


import java.util.List;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.LessonReply;
import com.yizhi.course.application.vo.NoPassReason;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wangfeida123
 * @since 2018-04-04
 */
public interface ILessonReplyService extends IService<LessonReply> {
	
	
	List<NoPassReason>  getNoPassReason(Long lessonId, Integer pageNo, Integer pageSize);
	
	/**
	 * 根据做课id得到最有一次不通过的原因
	 * @param lessonId
	 * @return
	 */
	LessonReply getLastNoPassReasonByLessonId(Long lessonId);
}
 