package com.yizhi.course.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.course.application.domain.ClassifyGroup;
import com.yizhi.course.application.mapper.ClassifyGroupMapper;
import com.yizhi.course.application.service.IClassifyGroupService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 分类组和分类的关联信息表 服务实现类
 * </p>
 *
 * @author xiehaijun
 * @since 2019-12-13
 */
@Service
public class ClassifyGroupServiceImpl extends ServiceImpl<ClassifyGroupMapper, ClassifyGroup> implements IClassifyGroupService {


    @Override
    public List<Long> getDelClassifyId(Long id, List<Long> classifyId) {
        return this.baseMapper.getDelClassifyId(id, classifyId);
    }
}
