package com.yizhi.course.application.service.impl;

import com.yizhi.course.application.domain.Course;
import com.yizhi.course.application.domain.MarketingCourseViewLog;
import com.yizhi.course.application.mapper.MaterialCourseViewLogMapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.course.application.service.IMarketingCourseViewLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 营销课程查看记录 服务实现类
 * </p>
 *
 * @author 谢海军123
 * @since 2019-01-09
 */
@Service
public class MarketingCourseViewLogServiceImpl extends ServiceImpl<MaterialCourseViewLogMapper, MarketingCourseViewLog> implements IMarketingCourseViewLogService {

    @Autowired
    private MaterialCourseViewLogMapper marketingCourseViewLogMapper;

    @Override
    public List<Course> findCourseViewCountByIds(List<Long> courseIds) {
        return marketingCourseViewLogMapper.findCourseViewCountByIds(courseIds);
    }
}
